org.apache.ignite.internal.processors.cache

## Class CacheInvalidStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.CacheInvalidStateException

All Implemented Interfaces:
  Serializable

    public class CacheInvalidStateException
    extends IgniteCheckedException

This exception is used to indicate that requested operation is unavailable in current cache state.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheInvalidStateException()` Create empty exception.
`CacheInvalidStateException(String msg)` Creates new exception with given error message.
`CacheInvalidStateException(String msg, Throwable cause)` Creates new exception with given error message and optional nested exception.
`CacheInvalidStateException(Throwable cause)` Creates new grid exception with given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheInvalidStateException

    public CacheInvalidStateException()

Create empty exception.

#### CacheInvalidStateException

    public CacheInvalidStateException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

#### CacheInvalidStateException

    public CacheInvalidStateException(Throwable cause)

Creates new grid exception with given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### CacheInvalidStateException

    public CacheInvalidStateException(String msg,
                              @Nullable
                              Throwable cause)

Creates new exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017